Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions /

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

stability of 2.4 rc1


Reply


3 Posts   675 Views

Avatar
zav

Community Member, 6 Posts

6 April 2010 at 4:32pm

I'm just starting a new site today, and was wondering if it was safe to use 2.4 rc1?
I assume upgrading to the final version, when it comes out will be possible.

Avatar
patjnr

Community Member, 101 Posts

6 April 2010 at 7:40pm

Hi

as long as you are not intending to use many modules because most of them are not yet 2.4 Compliant check that before you upgrade coz it will be a pain making the modules work on 2.4 rc1.

PAt

Avatar
Double-A-Ron

Community Member, 604 Posts

6 April 2010 at 9:38pm

Edited: 06/04/2010 9:41pm

There are already a few bugs in the downloadable tar. Some of them have been fixed so go get the trunk from SVN if you haven't already.

One is that "SiteTree" is appearing in the page type dropdown of the CMS so watch that when you are making pages, or you may have problems when you do a dev/build with stable later.

Ofcourse the SS devs will always tell you that you should only use stable versions. But you may even find that stable is released before you go production anyway.